## ros-indigo-rail-segmentation 0.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rail_segmentation)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  message_generation
  pcl_conversions
  pcl_ros
  roscpp
  roslib
  rail_manipulation_msgs
  sensor_msgs
  std_srvs
  tf
  tf2
  tf2_ros
)
find_package(Boost REQUIRED COMPONENTS thread)
find_package(PkgConfig)

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate services in the 'srv' folder
add_service_files(
  FILES
  RemoveObject.srv
)

generate_messages()

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Check for what version of YAML we have
pkg_check_modules(YAML_CPP yaml-cpp)
if(${YAML_CPP_VERSION} VERSION_GREATER 0.5)
  add_definitions(-DYAMLCPP_GT_0_5_0)
endif()

## Specify additional locations of header files
include_directories(include
  ${boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${YAML_CPP_INCLUDE_DIRS}
)
link_directories(${YAML_CPP_LIBRARY_DIRS})

## Declare a cpp executable
add_executable(${PROJECT_NAME}
  nodes/${PROJECT_NAME}.cpp
  src/bounding_volume_calculator.cpp
  src/SegmentationZone.cpp
  src/Segmenter.cpp
)
add_executable(continuous_segmenter nodes/continuous_segmenter.cpp)

## Add message build dependencies (needed for source build)
add_dependencies(${PROJECT_NAME}
  ${PROJECT_NAME}_generate_messages_cpp
  rail_manipulation_msgs_generate_messages_cpp
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${boost_LIBRARIES}
  ${catkin_LIBRARIES}
  yaml-cpp
)
target_link_libraries(continuous_segmenter ${catkin_LIBRARIES})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy config files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.yaml"
)

=== debian/changelog ===
ros-indigo-rail-segmentation (0.1.11-0trusty) trusty; urgency=high

  * Segmenter.h: Fix compilation error with -std=c++11.
    This commit fixes compilation errors due to compilation with std=c++11,
    such as:
    include/rail_segmentation/Segmenter.h:82:23: error: ‘constexpr’ needed for
    in-class initialization of static data member
    ‘const double rail::segmentation::Segmenter::SAC_EPS_ANGLE’ of
    non-integral type [-fpermissive]
    static const double SAC_EPS_ANGLE = 0.15;
    ^~~~~~~~~~~~~
    Signed-off-by: Elvis Dowson <elvis.dowson@gmail.com>
  * Fixing a small bug so that the segment_objects service matches the topic data
  * Better bounding box calculation, added average rgb and cielab color to segmented object messages as they are calculated anyway, and added an alternative service api, segment_objects, that returns the segmented object list in the service response (while still broadcasting the segmented object list on the topic)
  * Constant definition fix for functions with reference parameters
  * Added option for euclidean + RGB clustering instead of solely euclidean distance
  * Contributors: David Kent, Elvis Dowson, Levon Avagyan, Russell Toris, Siddhartha Banerjee

 -- Russell Toris <russell.toris@gmail.com>  Fri, 21 Sep 2018 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.10-0trusty) trusty; urgency=high

  * Merge pull request #4 <https://github.com/GT-RAIL/rail_segmentation/issues/4> from velveteenrobot/publish-table
    Now publishes table as SegmentedObject and table marker as Marker
  * Now publishes table as SegmentedObject and table marker as Marker
  * New travis for indigo and jade
  * email update
  * Contributors: Russell Toris, Sarah Elliott

 -- Russell Toris <russell.toris@gmail.com>  Sat, 17 Sep 2016 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.9-0trusty) trusty; urgency=high

  * Update .travis.yml
  * Update README.md
  * Update package.xml
  * Added a node that continuously calls the segmentation service
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-rail-segmentation (0.1.8-0trusty) trusty; urgency=high

  * allows for params of min/max cluster size
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 14 May 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.7-0trusty) trusty; urgency=high

  * removed hard coded constants
  * angle fix
  * Approximated segmented object orientation with PCA
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 May 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.6-0trusty) trusty; urgency=high

  * cleared flag added
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.5-0trusty) trusty; urgency=high

  * Added center point calculation for segmented objects
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Wed, 15 Apr 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.4-0trusty) trusty; urgency=high

  * quick travis fix
  * old parser format
  * Update .travis.yml
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.3-0trusty) trusty; urgency=high

  * bounding box info added
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.2-0trusty) trusty; urgency=high

  * cmake cleanup
  * header cleanup
  * header cleanup
  * header cleanup
  * checks for incoming point cloud first
  * new lines added
  * new lines added
  * more const ptrs
  * moved to ptr based storage
  * const ptrs
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.1-0trusty) trusty; urgency=high

  * segmentation debug is now latched
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_segmentation into develop
  * redid zones for default
  * Fixed centroid calculation when the segmentation frame doesn't match the bounding box frame
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.0-0trusty) trusty; urgency=high

  * added RGB image to message
  * average RGB on marker
  * uses indices instead of new PCs
  * Merge pull request #1 from WPI-RAIL/refactor
    Refactor
  * merge conflicts
  * Revert "plane detection refactored"
    This reverts commit 7160b0b12e55755451ec5c8a9318e05552924cc6.
  * doc added
  * cleanup of old files
  * first pass of new segmentation node
  * plane detection refactored
  * Added a recognize all action which gives feedback throughout the recognition process; the recognize all server remains for compatibility, but it's recommended to use the action server instead.
  * Edited .travis.yml
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_segmentation into develop
  * Updated to reflect moving some messages from rail_segmentation to rail_manipulation_messages
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.0.5-0trusty) trusty; urgency=high

  * Fixed a possible exception thrown due to transforming a point cloud at an invalid time
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_segmentation into develop
  * Added an automatic segmentation service which will determine how best to segment based on camera angle
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-rail-segmentation (0.0.4-0trusty) trusty; urgency=high

  * Update .travis.yml
  * visualized object list initialization
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-rail-segmentation (0.0.3-0trusty) trusty; urgency=high



=== debian/control ===
Source: ros-indigo-rail-segmentation
Section: misc
Priority: extra
Maintainer: Russell Toris <russell.toris@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libyaml-cpp-dev, pkg-config, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-tf2, ros-indigo-tf2-ros
Homepage: http://ros.org/wiki/rail_segmentation
Standards-Version: 3.9.2

Package: ros-indigo-rail-segmentation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, ros-indigo-message-runtime, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-tf2, ros-indigo-tf2-ros
Description: Segmentation Functionality from the RAIL Lab

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rail-segmentation//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
